## org.eclipse.jst.jsf.taglibprocessing.attributevalues
Class NumberType

    java.lang.Object
      org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
          org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
              org.eclipse.jst.jsf.taglibprocessing.attributevalues.AbstractEnumerationType
                  org.eclipse.jst.jsf.taglibprocessing.attributevalues.EnumerationType
                      org.eclipse.jst.jsf.taglibprocessing.attributevalues.NumberType

All Implemented Interfaces:
  IDefaultValue, IValidELValues, IValidValues, IMetaDataEnabledFeature, ITypeDescriptor

Direct Known Subclasses:
  DoubleType, IntegerType, LongType

    public abstract class NumberType

extends EnumerationType

Abstract meta-data processing type representing a numeric attribute value runtime type

Provisional API - subject to change

Field Summary

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`VALID_VALUES_CODE_PROP_NAME, VALID_VALUES_MAX_PROP_NAME, VALID_VALUES_MESSAGE_PROP_NAME, VALID_VALUES_MIN_PROP_NAME, VALID_VALUES_PROP_NAME, VALID_VALUES_SEVERITY_PROP_NAME`

Fields inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IDefaultValue
`DEFAULT_VALUE_PROP_NAME`

Constructor Summary
`NumberType()`

Method Summary

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.EnumerationType
`getExpectedRuntimeType`

Methods inherited from class org.eclipse.jst.jsf.taglibprocessing.attributevalues.AbstractEnumerationType
`getDefaultValue, getValidationMessages`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractRootTypeDescriptor
`getFeatureAdapters, getTypeExtension, setTypeExtension`

Methods inherited from class org.eclipse.jst.jsf.metadataprocessors.AbstractMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.features.IValidValues
`isValidValue`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.IMetaDataEnabledFeature
`getMetaDataContext, getStructuredDocumentContext, setMetaDataContext, setStructuredDocumentContext`

Constructor Detail

### NumberType

    public NumberType()